Subject: Re: NFS root woes: No init found

From: Wolfgang Grandegger <[email-masked]>
Date: Wed, 04 Dec 2002 23:20:24 +0100

Hello,

if you get to the bash prompt you could try to start the init program
manually. This should result in more useful error messages.

Hope it helps,

Wolfgang.

On 12/04/2002 11:11 PM Brian Waite wrote:
> I did this. I tried to start a staticly linked ash shell to no avail. No libs
> are better than any libs :)
> Thanks
> Brian
> On Wednesday 04 December 2002 4:48 pm, Dan Malek wrote:
>> Brian Waite wrote:
>> > ...Then I get the message No init found.
>>
>> First, try using something simple like /bin/bash as your init program.
>> Trying to start up the init program relies on lots of things being
>> present in the file system.  If the program starts, and then exits,
>> you still get this message.
>>
>> Just use a trivial, simple file system to get started.  A shell,
>> couple of commands and minimal libraries are easier to debug.
>>
>> Good luck :-)
>>
>> 	-- Dan
>
>
>
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/